For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
HomeGuidesAPI ReferenceGlossary
HomeGuidesAPI ReferenceGlossary
  • API Reference
      • GETSearch transactions
      • GETGet Transaction
      • GETDownload Transactions (Sync)
Logo
Sign inBook a demo
API ReferenceTransaction

Search transactions

GET
https://api.mercoa.com/transactions
GET
/transactions
$curl -G https://api.mercoa.com/transactions \
> -H "Authorization: Bearer <token>" \
> --data-urlencode startDate=2024-01-15T09:30:00Z \
> --data-urlencode endDate=2024-01-15T09:30:00Z \
> -d limit=10
1{
2 "count": 3,
3 "hasMore": false,
4 "data": [
5 {
6 "type": "bankAccountToBankAccount",
7 "amount": 10000,
8 "createdAt": "2024-01-01T00:00:00Z",
9 "currency": "USD",
10 "id": "trx_bb08e72f-19f8-45f3-bcf9-46fdc46cb2f4",
11 "invoices": [
12 {
13 "approvalPolicy": [
14 {
15 "id": "apvl_8545a84e-a45f-41bf-bdf1-33b42a55812c",
16 "trigger": [
17 {
18 "type": "amount",
19 "amount": 100,
20 "currency": "USD"
21 }
22 ],
23 "rule": {
24 "type": "approver",
25 "identifierList": {
26 "type": "rolesList",
27 "value": [
28 "Admin",
29 "Controller"
30 ]
31 },
32 "numApprovers": 2
33 },
34 "upstreamPolicyId": "root",
35 "createdAt": "2024-01-01T00:00:00Z",
36 "updatedAt": "2024-01-02T00:00:00Z"
37 }
38 ],
39 "approvers": [
40 {
41 "approvalPolicyId": "apvl_5ce50275-1789-42ea-bc60-bb7e6d03635c",
42 "approvalSlotId": "inap_9bb311c9-7c15-4c9e-8148-63814e0abec6",
43 "action": "APPROVE",
44 "eligibleRoles": [
45 "admin"
46 ],
47 "eligibleUserIds": [
48 "user_e24fc81c-c5ee-47e8-af42-4fe29d895506"
49 ],
50 "date": "2021-01-01T00:00:00Z",
51 "assignedUserId": "user_e24fc81c-c5ee-47e8-af42-4fe29d895506"
52 }
53 ],
54 "createdAt": "2021-01-01T00:00:00Z",
55 "hasDocuments": true,
56 "hasSourceEmail": true,
57 "id": "in_26e7b5d3-a739-4b23-9ad9-6aaa085f47a9",
58 "metadata": {
59 "key1": "value1",
60 "key2": "value2"
61 },
62 "paymentDestinationConfirmed": true,
63 "status": "PAID",
64 "updatedAt": "2021-01-01T00:00:00Z",
65 "amount": 100,
66 "comments": [
67 {
68 "id": "ic_b3525b66-da94-4525-9f31-426bcf657128",
69 "text": "This is an approval comment",
70 "createdAt": "2021-01-01T00:00:00Z",
71 "updatedAt": "2021-01-01T00:00:00Z",
72 "user": {
73 "id": "user_ec3aafc8-ea86-408a-a6c1-545497badbbb",
74 "roles": [
75 "admin",
76 "approver"
77 ],
78 "createdAt": "2024-01-01T00:00:00Z",
79 "updatedAt": "2024-01-01T00:00:00Z",
80 "foreignId": "MY-DB-ID-12345",
81 "email": "john.doe@acme.com",
82 "name": "John Doe"
83 },
84 "associatedApprovalAction": {
85 "userId": "user_e24fc81c-c5ee-47e8-af42-4fe29d895506",
86 "action": "APPROVE"
87 }
88 }
89 ],
90 "creatorUser": {
91 "id": "user_ec3aafc8-ea86-408a-a6c1-545497badbbb",
92 "roles": [
93 "admin",
94 "approver"
95 ],
96 "createdAt": "2024-01-01T00:00:00Z",
97 "updatedAt": "2024-01-01T00:00:00Z",
98 "foreignId": "MY-DB-ID-12345",
99 "email": "john.doe@acme.com",
100 "name": "John Doe"
101 },
102 "currency": "USD",
103 "deductionDate": "2021-01-01T00:00:00Z",
104 "dueDate": "2021-01-31T00:00:00Z",
105 "foreignId": "YOUR-DATABASE-ID",
106 "invoiceDate": "2021-01-01T00:00:00Z",
107 "invoiceNumber": "INV-123",
108 "lineItems": [
109 {
110 "id": "inli_26672f38-eb9a-48f1-a7a0-f1b855e38cd7",
111 "currency": "USD",
112 "category": "EXPENSE",
113 "createdAt": "2021-01-01T00:00:00Z",
114 "updatedAt": "2021-01-01T00:00:00Z",
115 "amount": 100,
116 "description": "Product A",
117 "name": "Product A",
118 "quantity": 1,
119 "unitPrice": 100,
120 "serviceStartDate": "2021-01-01T00:00:00Z",
121 "serviceEndDate": "2021-01-31T00:00:00Z",
122 "metadata": {
123 "key1": "value1",
124 "key2": "value2"
125 },
126 "glAccountId": "600394"
127 }
128 ],
129 "noteToSelf": "For the month of January",
130 "payer": {
131 "acceptedTos": true,
132 "accountType": "business",
133 "createdAt": "2024-01-01T00:00:00Z",
134 "email": "customer@acme.com",
135 "id": "ent_8545a84e-a45f-41bf-bdf1-33b42a55812c",
136 "isCustomer": true,
137 "isNetworkPayee": false,
138 "isNetworkPayor": false,
139 "isPayee": false,
140 "isPayor": true,
141 "name": "Acme Inc.",
142 "profile": {
143 "business": {
144 "legalBusinessName": "Acme Inc.",
145 "taxIDProvided": true,
146 "email": "customer@acme.com",
147 "businessType": "llc",
148 "phone": {
149 "countryCode": "1",
150 "number": "4155551234"
151 },
152 "address": {
153 "addressLine1": "123 Main St",
154 "city": "San Francisco",
155 "stateOrProvince": "CA",
156 "postalCode": "94105",
157 "addressLine2": "Unit 1",
158 "country": "US"
159 },
160 "ownersProvided": true,
161 "taxId": {
162 "ein": {
163 "number": "12-3456789"
164 }
165 }
166 }
167 },
168 "status": "verified",
169 "updatedAt": "2024-01-02T00:00:00Z",
170 "accounts": [
171 {
172 "accountId": "85866843",
173 "postalCode": "94105",
174 "nameOnAccount": "John Doe"
175 }
176 ],
177 "counterpartyType": [
178 "ENTITY"
179 ],
180 "foreignId": "MY-DB-ID-12345",
181 "paymentMethods": [
182 {
183 "type": "bankAccount",
184 "accountName": "My Checking Account",
185 "accountNumber": "99988767623",
186 "accountType": "CHECKING",
187 "bankName": "Chase",
188 "createdAt": "2021-01-01T00:00:00Z",
189 "frozen": false,
190 "id": "pm_4794d597-70dc-4fec-b6ec-c5988e759769",
191 "isDefaultDestination": true,
192 "isDefaultSource": true,
193 "metadata": {},
194 "routingNumber": "12345678",
195 "status": "VERIFIED",
196 "supportedCurrencies": [
197 "USD"
198 ],
199 "updatedAt": "2021-01-01T00:00:00Z",
200 "confirmedByEntity": true
201 }
202 ]
203 },
204 "payerId": "ent_8545a84e-a45f-41bf-bdf1-33b42a55812c",
205 "paymentDestination": {
206 "type": "check",
207 "addressLine1": "123 Main St",
208 "city": "New York",
209 "country": "US",
210 "createdAt": "2021-01-01T00:00:00Z",
211 "frozen": false,
212 "id": "pm_5fde2f4a-facc-48ef-8f0d-6b7d087c7b18",
213 "isDefaultDestination": true,
214 "isDefaultSource": false,
215 "metadata": {},
216 "payToTheOrderOf": "John Doe",
217 "postalCode": "10001",
218 "stateOrProvince": "NY",
219 "supportedCurrencies": [
220 "USD"
221 ],
222 "updatedAt": "2021-01-01T00:00:00Z",
223 "addressLine2": "Apt 1",
224 "confirmedByEntity": true
225 },
226 "paymentDestinationId": "pm_5fde2f4a-facc-48ef-8f0d-6b7d087c7b18",
227 "paymentDestinationOptions": {
228 "type": "check",
229 "delivery": "MAIL",
230 "printDescription": true
231 },
232 "paymentSource": {
233 "type": "bankAccount",
234 "accountName": "My Checking Account",
235 "accountNumber": "99988767623",
236 "accountType": "CHECKING",
237 "bankName": "Chase",
238 "createdAt": "2021-01-01T00:00:00Z",
239 "frozen": false,
240 "id": "pm_4794d597-70dc-4fec-b6ec-c5988e759769",
241 "isDefaultDestination": true,
242 "isDefaultSource": true,
243 "metadata": {},
244 "routingNumber": "12345678",
245 "status": "VERIFIED",
246 "supportedCurrencies": [
247 "USD"
248 ],
249 "updatedAt": "2021-01-01T00:00:00Z",
250 "confirmedByEntity": true
251 },
252 "paymentSourceId": "pm_4794d597-70dc-4fec-b6ec-c5988e759769",
253 "paymentSourceOptions": {
254 "type": "bnpl",
255 "acceptedTerms": true,
256 "defermentWeeks": 8,
257 "installmentsStartDate": "2025-06-18"
258 },
259 "processedAt": "2021-01-01T00:00:00Z",
260 "serviceEndDate": "2021-01-31T00:00:00Z",
261 "serviceStartDate": "2021-01-01T00:00:00Z",
262 "settlementDate": "2021-01-03T00:00:00Z",
263 "transactions": [
264 {
265 "type": "bankAccountToBankAccount",
266 "amount": 10000,
267 "createdAt": "2024-01-01T00:00:00Z",
268 "currency": "USD",
269 "id": "trx_bb08e72f-19f8-45f3-bcf9-46fdc46cb2f4",
270 "payer": {
271 "acceptedTos": true,
272 "accountType": "business",
273 "createdAt": "2024-01-01T00:00:00Z",
274 "email": "customer@acme.com",
275 "id": "ent_8545a84e-a45f-41bf-bdf1-33b42a55812c",
276 "isCustomer": true,
277 "isNetworkPayee": false,
278 "isNetworkPayor": false,
279 "isPayee": false,
280 "isPayor": true,
281 "name": "Acme Inc.",
282 "profile": {
283 "business": {
284 "legalBusinessName": "Acme Inc.",
285 "taxIDProvided": true,
286 "email": "customer@acme.com",
287 "businessType": "llc",
288 "phone": {
289 "countryCode": "1",
290 "number": "4155551234"
291 },
292 "address": {
293 "addressLine1": "123 Main St",
294 "city": "San Francisco",
295 "stateOrProvince": "CA",
296 "postalCode": "94105",
297 "addressLine2": "Unit 1",
298 "country": "US"
299 },
300 "ownersProvided": true,
301 "taxId": {
302 "ein": {
303 "number": "12-3456789"
304 }
305 }
306 }
307 },
308 "status": "verified",
309 "updatedAt": "2024-01-02T00:00:00Z",
310 "accounts": [
311 {
312 "accountId": "85866843",
313 "postalCode": "94105",
314 "nameOnAccount": "John Doe"
315 }
316 ],
317 "counterpartyType": [
318 "ENTITY"
319 ],
320 "foreignId": "MY-DB-ID-12345",
321 "paymentMethods": [
322 {
323 "type": "bankAccount",
324 "accountName": "My Checking Account",
325 "accountNumber": "99988767623",
326 "accountType": "CHECKING",
327 "bankName": "Chase",
328 "createdAt": "2021-01-01T00:00:00Z",
329 "frozen": false,
330 "id": "pm_4794d597-70dc-4fec-b6ec-c5988e759769",
331 "isDefaultDestination": true,
332 "isDefaultSource": true,
333 "metadata": {},
334 "routingNumber": "12345678",
335 "status": "VERIFIED",
336 "supportedCurrencies": [
337 "USD"
338 ],
339 "updatedAt": "2021-01-01T00:00:00Z",
340 "confirmedByEntity": true
341 }
342 ]
343 },
344 "payerId": "ent_bb08e72f-19f8-45f3-bcf9-46fdc46cb2f4",
345 "paymentDestination": {
346 "type": "bankAccount",
347 "accountName": "My Checking Account",
348 "accountNumber": "99988767623",
349 "accountType": "CHECKING",
350 "bankName": "Chase",
351 "createdAt": "2021-01-01T00:00:00Z",
352 "frozen": false,
353 "id": "pm_4794d597-70dc-4fec-b6ec-c5988e759769",
354 "isDefaultDestination": true,
355 "isDefaultSource": true,
356 "metadata": {},
357 "routingNumber": "12345678",
358 "status": "VERIFIED",
359 "supportedCurrencies": [
360 "USD"
361 ],
362 "updatedAt": "2021-01-01T00:00:00Z",
363 "confirmedByEntity": true
364 },
365 "paymentDestinationId": "pm_65523ab0-043d-4706-b2b2-0b73fed92269",
366 "paymentSource": {
367 "type": "bankAccount",
368 "accountName": "My Checking Account",
369 "accountNumber": "99988767623",
370 "accountType": "CHECKING",
371 "bankName": "Chase",
372 "createdAt": "2021-01-01T00:00:00Z",
373 "frozen": false,
374 "id": "pm_4794d597-70dc-4fec-b6ec-c5988e759769",
375 "isDefaultDestination": true,
376 "isDefaultSource": true,
377 "metadata": {},
378 "routingNumber": "12345678",
379 "status": "VERIFIED",
380 "supportedCurrencies": [
381 "USD"
382 ],
383 "updatedAt": "2021-01-01T00:00:00Z",
384 "confirmedByEntity": true
385 },
386 "paymentSourceId": "pm_65523ab0-043d-4706-b2b2-0b73fed92269",
387 "status": "COMPLETED",
388 "updatedAt": "2024-01-01T00:00:00Z",
389 "vendor": {
390 "acceptedTos": false,
391 "accountType": "business",
392 "createdAt": "2024-01-01T00:00:00Z",
393 "email": "vendor@bigboxstore.com",
394 "id": "ent_21661ac1-a2a8-4465-a6c0-64474ba8181d",
395 "isCustomer": false,
396 "isNetworkPayee": false,
397 "isNetworkPayor": false,
398 "isPayee": true,
399 "isPayor": false,
400 "name": "Big Box Store",
401 "profile": {
402 "business": {
403 "legalBusinessName": "Big Box Store",
404 "taxIDProvided": false,
405 "email": "vendor@bigboxstore.com",
406 "businessType": "publicCorporation",
407 "ownersProvided": false
408 }
409 },
410 "status": "unverified",
411 "updatedAt": "2024-01-02T00:00:00Z",
412 "counterpartyType": [
413 "ENTITY"
414 ],
415 "foreignId": "MY-DB-ID-90909",
416 "paymentMethods": [
417 {
418 "type": "bankAccount",
419 "accountName": "Vendor Checking Account",
420 "accountNumber": "55934059697648",
421 "accountType": "CHECKING",
422 "bankName": "Chase",
423 "createdAt": "2021-01-01T00:00:00Z",
424 "frozen": false,
425 "id": "pm_7610541f-4619-4033-8620-cfccfb811293",
426 "isDefaultDestination": true,
427 "isDefaultSource": true,
428 "metadata": {},
429 "routingNumber": "66554433",
430 "status": "NEW",
431 "supportedCurrencies": [
432 "USD"
433 ],
434 "updatedAt": "2021-01-01T00:00:00Z",
435 "confirmedByEntity": false
436 }
437 ]
438 },
439 "vendorId": "ent_bb08e72f-19f8-45f3-bcf9-46fdc46cb2f4"
440 }
441 ],
442 "vendor": {
443 "acceptedTos": false,
444 "accountType": "business",
445 "createdAt": "2024-01-01T00:00:00Z",
446 "email": "vendor@bigboxstore.com",
447 "id": "ent_21661ac1-a2a8-4465-a6c0-64474ba8181d",
448 "isCustomer": false,
449 "isNetworkPayee": false,
450 "isNetworkPayor": false,
451 "isPayee": true,
452 "isPayor": false,
453 "name": "Big Box Store",
454 "profile": {
455 "business": {
456 "legalBusinessName": "Big Box Store",
457 "taxIDProvided": false,
458 "email": "vendor@bigboxstore.com",
459 "businessType": "publicCorporation",
460 "ownersProvided": false
461 }
462 },
463 "status": "unverified",
464 "updatedAt": "2024-01-02T00:00:00Z",
465 "counterpartyType": [
466 "ENTITY"
467 ],
468 "foreignId": "MY-DB-ID-90909",
469 "paymentMethods": [
470 {
471 "type": "bankAccount",
472 "accountName": "Vendor Checking Account",
473 "accountNumber": "55934059697648",
474 "accountType": "CHECKING",
475 "bankName": "Chase",
476 "createdAt": "2021-01-01T00:00:00Z",
477 "frozen": false,
478 "id": "pm_7610541f-4619-4033-8620-cfccfb811293",
479 "isDefaultDestination": true,
480 "isDefaultSource": true,
481 "metadata": {},
482 "routingNumber": "66554433",
483 "status": "NEW",
484 "supportedCurrencies": [
485 "USD"
486 ],
487 "updatedAt": "2021-01-01T00:00:00Z",
488 "confirmedByEntity": false
489 }
490 ]
491 },
492 "vendorId": "ent_21661ac1-a2a8-4465-a6c0-64474ba8181d"
493 }
494 ],
495 "payer": {
496 "acceptedTos": true,
497 "accountType": "business",
498 "createdAt": "2024-01-01T00:00:00Z",
499 "email": "customer@acme.com",
500 "id": "ent_8545a84e-a45f-41bf-bdf1-33b42a55812c",
501 "isCustomer": true,
502 "isNetworkPayee": false,
503 "isNetworkPayor": false,
504 "isPayee": false,
505 "isPayor": true,
506 "name": "Acme Inc.",
507 "profile": {
508 "business": {
509 "legalBusinessName": "Acme Inc.",
510 "taxIDProvided": true,
511 "email": "customer@acme.com",
512 "businessType": "llc",
513 "phone": {
514 "countryCode": "1",
515 "number": "4155551234"
516 },
517 "address": {
518 "addressLine1": "123 Main St",
519 "city": "San Francisco",
520 "stateOrProvince": "CA",
521 "postalCode": "94105",
522 "addressLine2": "Unit 1",
523 "country": "US"
524 },
525 "ownersProvided": true,
526 "taxId": {
527 "ein": {
528 "number": "12-3456789"
529 }
530 }
531 }
532 },
533 "status": "verified",
534 "updatedAt": "2024-01-02T00:00:00Z",
535 "accounts": [
536 {
537 "accountId": "85866843",
538 "postalCode": "94105",
539 "nameOnAccount": "John Doe"
540 }
541 ],
542 "counterpartyType": [
543 "ENTITY"
544 ],
545 "foreignId": "MY-DB-ID-12345",
546 "paymentMethods": [
547 {
548 "type": "bankAccount",
549 "accountName": "My Checking Account",
550 "accountNumber": "99988767623",
551 "accountType": "CHECKING",
552 "bankName": "Chase",
553 "createdAt": "2021-01-01T00:00:00Z",
554 "frozen": false,
555 "id": "pm_4794d597-70dc-4fec-b6ec-c5988e759769",
556 "isDefaultDestination": true,
557 "isDefaultSource": true,
558 "metadata": {},
559 "routingNumber": "12345678",
560 "status": "VERIFIED",
561 "supportedCurrencies": [
562 "USD"
563 ],
564 "updatedAt": "2021-01-01T00:00:00Z",
565 "confirmedByEntity": true
566 }
567 ]
568 },
569 "payerId": "ent_bb08e72f-19f8-45f3-bcf9-46fdc46cb2f4",
570 "paymentDestination": {
571 "type": "bankAccount",
572 "accountName": "My Checking Account",
573 "accountNumber": "99988767623",
574 "accountType": "CHECKING",
575 "bankName": "Chase",
576 "createdAt": "2021-01-01T00:00:00Z",
577 "frozen": false,
578 "id": "pm_4794d597-70dc-4fec-b6ec-c5988e759769",
579 "isDefaultDestination": true,
580 "isDefaultSource": true,
581 "metadata": {},
582 "routingNumber": "12345678",
583 "status": "VERIFIED",
584 "supportedCurrencies": [
585 "USD"
586 ],
587 "updatedAt": "2021-01-01T00:00:00Z",
588 "confirmedByEntity": true
589 },
590 "paymentDestinationId": "pm_65523ab0-043d-4706-b2b2-0b73fed92269",
591 "paymentSource": {
592 "type": "bankAccount",
593 "accountName": "My Checking Account",
594 "accountNumber": "99988767623",
595 "accountType": "CHECKING",
596 "bankName": "Chase",
597 "createdAt": "2021-01-01T00:00:00Z",
598 "frozen": false,
599 "id": "pm_4794d597-70dc-4fec-b6ec-c5988e759769",
600 "isDefaultDestination": true,
601 "isDefaultSource": true,
602 "metadata": {},
603 "routingNumber": "12345678",
604 "status": "VERIFIED",
605 "supportedCurrencies": [
606 "USD"
607 ],
608 "updatedAt": "2021-01-01T00:00:00Z",
609 "confirmedByEntity": true
610 },
611 "paymentSourceId": "pm_65523ab0-043d-4706-b2b2-0b73fed92269",
612 "status": "COMPLETED",
613 "updatedAt": "2024-01-01T00:00:00Z",
614 "vendor": {
615 "acceptedTos": false,
616 "accountType": "business",
617 "createdAt": "2024-01-01T00:00:00Z",
618 "email": "vendor@bigboxstore.com",
619 "id": "ent_21661ac1-a2a8-4465-a6c0-64474ba8181d",
620 "isCustomer": false,
621 "isNetworkPayee": false,
622 "isNetworkPayor": false,
623 "isPayee": true,
624 "isPayor": false,
625 "name": "Big Box Store",
626 "profile": {
627 "business": {
628 "legalBusinessName": "Big Box Store",
629 "taxIDProvided": false,
630 "email": "vendor@bigboxstore.com",
631 "businessType": "publicCorporation",
632 "ownersProvided": false
633 }
634 },
635 "status": "unverified",
636 "updatedAt": "2024-01-02T00:00:00Z",
637 "counterpartyType": [
638 "ENTITY"
639 ],
640 "foreignId": "MY-DB-ID-90909",
641 "paymentMethods": [
642 {
643 "type": "bankAccount",
644 "accountName": "Vendor Checking Account",
645 "accountNumber": "55934059697648",
646 "accountType": "CHECKING",
647 "bankName": "Chase",
648 "createdAt": "2021-01-01T00:00:00Z",
649 "frozen": false,
650 "id": "pm_7610541f-4619-4033-8620-cfccfb811293",
651 "isDefaultDestination": true,
652 "isDefaultSource": true,
653 "metadata": {},
654 "routingNumber": "66554433",
655 "status": "NEW",
656 "supportedCurrencies": [
657 "USD"
658 ],
659 "updatedAt": "2021-01-01T00:00:00Z",
660 "confirmedByEntity": false
661 }
662 ]
663 },
664 "vendorId": "ent_bb08e72f-19f8-45f3-bcf9-46fdc46cb2f4"
665 },
666 {
667 "type": "bankAccountToMailedCheck",
668 "amount": 10000,
669 "checkNumber": 4005,
670 "createdAt": "2024-01-01T00:00:00Z",
671 "currency": "USD",
672 "id": "trx_bb08e72f-19f8-45f3-bcf9-46fdc46cb2f4",
673 "invoices": [
674 {
675 "approvalPolicy": [
676 {
677 "id": "apvl_8545a84e-a45f-41bf-bdf1-33b42a55812c",
678 "trigger": [
679 {
680 "type": "amount",
681 "amount": 100,
682 "currency": "USD"
683 }
684 ],
685 "rule": {
686 "type": "approver",
687 "identifierList": {
688 "type": "rolesList",
689 "value": [
690 "Admin",
691 "Controller"
692 ]
693 },
694 "numApprovers": 2
695 },
696 "upstreamPolicyId": "root",
697 "createdAt": "2024-01-01T00:00:00Z",
698 "updatedAt": "2024-01-02T00:00:00Z"
699 }
700 ],
701 "approvers": [
702 {
703 "approvalPolicyId": "apvl_5ce50275-1789-42ea-bc60-bb7e6d03635c",
704 "approvalSlotId": "inap_9bb311c9-7c15-4c9e-8148-63814e0abec6",
705 "action": "APPROVE",
706 "eligibleRoles": [
707 "admin"
708 ],
709 "eligibleUserIds": [
710 "user_e24fc81c-c5ee-47e8-af42-4fe29d895506"
711 ],
712 "date": "2021-01-01T00:00:00Z",
713 "assignedUserId": "user_e24fc81c-c5ee-47e8-af42-4fe29d895506"
714 }
715 ],
716 "createdAt": "2021-01-01T00:00:00Z",
717 "hasDocuments": true,
718 "hasSourceEmail": true,
719 "id": "in_26e7b5d3-a739-4b23-9ad9-6aaa085f47a9",
720 "metadata": {
721 "key1": "value1",
722 "key2": "value2"
723 },
724 "paymentDestinationConfirmed": true,
725 "status": "PAID",
726 "updatedAt": "2021-01-01T00:00:00Z",
727 "amount": 100,
728 "comments": [
729 {
730 "id": "ic_b3525b66-da94-4525-9f31-426bcf657128",
731 "text": "This is an approval comment",
732 "createdAt": "2021-01-01T00:00:00Z",
733 "updatedAt": "2021-01-01T00:00:00Z",
734 "user": {
735 "id": "user_ec3aafc8-ea86-408a-a6c1-545497badbbb",
736 "roles": [
737 "admin",
738 "approver"
739 ],
740 "createdAt": "2024-01-01T00:00:00Z",
741 "updatedAt": "2024-01-01T00:00:00Z",
742 "foreignId": "MY-DB-ID-12345",
743 "email": "john.doe@acme.com",
744 "name": "John Doe"
745 },
746 "associatedApprovalAction": {
747 "userId": "user_e24fc81c-c5ee-47e8-af42-4fe29d895506",
748 "action": "APPROVE"
749 }
750 }
751 ],
752 "creatorUser": {
753 "id": "user_ec3aafc8-ea86-408a-a6c1-545497badbbb",
754 "roles": [
755 "admin",
756 "approver"
757 ],
758 "createdAt": "2024-01-01T00:00:00Z",
759 "updatedAt": "2024-01-01T00:00:00Z",
760 "foreignId": "MY-DB-ID-12345",
761 "email": "john.doe@acme.com",
762 "name": "John Doe"
763 },
764 "currency": "USD",
765 "deductionDate": "2021-01-01T00:00:00Z",
766 "dueDate": "2021-01-31T00:00:00Z",
767 "foreignId": "YOUR-DATABASE-ID",
768 "invoiceDate": "2021-01-01T00:00:00Z",
769 "invoiceNumber": "INV-123",
770 "lineItems": [
771 {
772 "id": "inli_26672f38-eb9a-48f1-a7a0-f1b855e38cd7",
773 "currency": "USD",
774 "category": "EXPENSE",
775 "createdAt": "2021-01-01T00:00:00Z",
776 "updatedAt": "2021-01-01T00:00:00Z",
777 "amount": 100,
778 "description": "Product A",
779 "name": "Product A",
780 "quantity": 1,
781 "unitPrice": 100,
782 "serviceStartDate": "2021-01-01T00:00:00Z",
783 "serviceEndDate": "2021-01-31T00:00:00Z",
784 "metadata": {
785 "key1": "value1",
786 "key2": "value2"
787 },
788 "glAccountId": "600394"
789 }
790 ],
791 "noteToSelf": "For the month of January",
792 "payer": {
793 "acceptedTos": true,
794 "accountType": "business",
795 "createdAt": "2024-01-01T00:00:00Z",
796 "email": "customer@acme.com",
797 "id": "ent_8545a84e-a45f-41bf-bdf1-33b42a55812c",
798 "isCustomer": true,
799 "isNetworkPayee": false,
800 "isNetworkPayor": false,
801 "isPayee": false,
802 "isPayor": true,
803 "name": "Acme Inc.",
804 "profile": {
805 "business": {
806 "legalBusinessName": "Acme Inc.",
807 "taxIDProvided": true,
808 "email": "customer@acme.com",
809 "businessType": "llc",
810 "phone": {
811 "countryCode": "1",
812 "number": "4155551234"
813 },
814 "address": {
815 "addressLine1": "123 Main St",
816 "city": "San Francisco",
817 "stateOrProvince": "CA",
818 "postalCode": "94105",
819 "addressLine2": "Unit 1",
820 "country": "US"
821 },
822 "ownersProvided": true,
823 "taxId": {
824 "ein": {
825 "number": "12-3456789"
826 }
827 }
828 }
829 },
830 "status": "verified",
831 "updatedAt": "2024-01-02T00:00:00Z",
832 "accounts": [
833 {
834 "accountId": "85866843",
835 "postalCode": "94105",
836 "nameOnAccount": "John Doe"
837 }
838 ],
839 "counterpartyType": [
840 "ENTITY"
841 ],
842 "foreignId": "MY-DB-ID-12345",
843 "paymentMethods": [
844 {
845 "type": "bankAccount",
846 "accountName": "My Checking Account",
847 "accountNumber": "99988767623",
848 "accountType": "CHECKING",
849 "bankName": "Chase",
850 "createdAt": "2021-01-01T00:00:00Z",
851 "frozen": false,
852 "id": "pm_4794d597-70dc-4fec-b6ec-c5988e759769",
853 "isDefaultDestination": true,
854 "isDefaultSource": true,
855 "metadata": {},
856 "routingNumber": "12345678",
857 "status": "VERIFIED",
858 "supportedCurrencies": [
859 "USD"
860 ],
861 "updatedAt": "2021-01-01T00:00:00Z",
862 "confirmedByEntity": true
863 }
864 ]
865 },
866 "payerId": "ent_8545a84e-a45f-41bf-bdf1-33b42a55812c",
867 "paymentDestination": {
868 "type": "check",
869 "addressLine1": "123 Main St",
870 "city": "New York",
871 "country": "US",
872 "createdAt": "2021-01-01T00:00:00Z",
873 "frozen": false,
874 "id": "pm_5fde2f4a-facc-48ef-8f0d-6b7d087c7b18",
875 "isDefaultDestination": true,
876 "isDefaultSource": false,
877 "metadata": {},
878 "payToTheOrderOf": "John Doe",
879 "postalCode": "10001",
880 "stateOrProvince": "NY",
881 "supportedCurrencies": [
882 "USD"
883 ],
884 "updatedAt": "2021-01-01T00:00:00Z",
885 "addressLine2": "Apt 1",
886 "confirmedByEntity": true
887 },
888 "paymentDestinationId": "pm_5fde2f4a-facc-48ef-8f0d-6b7d087c7b18",
889 "paymentDestinationOptions": {
890 "type": "check",
891 "delivery": "MAIL",
892 "printDescription": true
893 },
894 "paymentSource": {
895 "type": "bankAccount",
896 "accountName": "My Checking Account",
897 "accountNumber": "99988767623",
898 "accountType": "CHECKING",
899 "bankName": "Chase",
900 "createdAt": "2021-01-01T00:00:00Z",
901 "frozen": false,
902 "id": "pm_4794d597-70dc-4fec-b6ec-c5988e759769",
903 "isDefaultDestination": true,
904 "isDefaultSource": true,
905 "metadata": {},
906 "routingNumber": "12345678",
907 "status": "VERIFIED",
908 "supportedCurrencies": [
909 "USD"
910 ],
911 "updatedAt": "2021-01-01T00:00:00Z",
912 "confirmedByEntity": true
913 },
914 "paymentSourceId": "pm_4794d597-70dc-4fec-b6ec-c5988e759769",
915 "paymentSourceOptions": {
916 "type": "bnpl",
917 "acceptedTerms": true,
918 "defermentWeeks": 8,
919 "installmentsStartDate": "2025-06-18"
920 },
921 "processedAt": "2021-01-01T00:00:00Z",
922 "serviceEndDate": "2021-01-31T00:00:00Z",
923 "serviceStartDate": "2021-01-01T00:00:00Z",
924 "settlementDate": "2021-01-03T00:00:00Z",
925 "transactions": [
926 {
927 "type": "bankAccountToBankAccount",
928 "amount": 10000,
929 "createdAt": "2024-01-01T00:00:00Z",
930 "currency": "USD",
931 "id": "trx_bb08e72f-19f8-45f3-bcf9-46fdc46cb2f4",
932 "payer": {
933 "acceptedTos": true,
934 "accountType": "business",
935 "createdAt": "2024-01-01T00:00:00Z",
936 "email": "customer@acme.com",
937 "id": "ent_8545a84e-a45f-41bf-bdf1-33b42a55812c",
938 "isCustomer": true,
939 "isNetworkPayee": false,
940 "isNetworkPayor": false,
941 "isPayee": false,
942 "isPayor": true,
943 "name": "Acme Inc.",
944 "profile": {
945 "business": {
946 "legalBusinessName": "Acme Inc.",
947 "taxIDProvided": true,
948 "email": "customer@acme.com",
949 "businessType": "llc",
950 "phone": {
951 "countryCode": "1",
952 "number": "4155551234"
953 },
954 "address": {
955 "addressLine1": "123 Main St",
956 "city": "San Francisco",
957 "stateOrProvince": "CA",
958 "postalCode": "94105",
959 "addressLine2": "Unit 1",
960 "country": "US"
961 },
962 "ownersProvided": true,
963 "taxId": {
964 "ein": {
965 "number": "12-3456789"
966 }
967 }
968 }
969 },
970 "status": "verified",
971 "updatedAt": "2024-01-02T00:00:00Z",
972 "accounts": [
973 {
974 "accountId": "85866843",
975 "postalCode": "94105",
976 "nameOnAccount": "John Doe"
977 }
978 ],
979 "counterpartyType": [
980 "ENTITY"
981 ],
982 "foreignId": "MY-DB-ID-12345",
983 "paymentMethods": [
984 {
985 "type": "bankAccount",
986 "accountName": "My Checking Account",
987 "accountNumber": "99988767623",
988 "accountType": "CHECKING",
989 "bankName": "Chase",
990 "createdAt": "2021-01-01T00:00:00Z",
991 "frozen": false,
992 "id": "pm_4794d597-70dc-4fec-b6ec-c5988e759769",
993 "isDefaultDestination": true,
994 "isDefaultSource": true,
995 "metadata": {},
996 "routingNumber": "12345678",
997 "status": "VERIFIED",
998 "supportedCurrencies": [
999 "USD"
1000 ],
1001 "updatedAt": "2021-01-01T00:00:00Z",
1002 "confirmedByEntity": true
1003 }
1004 ]
1005 },
1006 "payerId": "ent_bb08e72f-19f8-45f3-bcf9-46fdc46cb2f4",
1007 "paymentDestination": {
1008 "type": "bankAccount",
1009 "accountName": "My Checking Account",
1010 "accountNumber": "99988767623",
1011 "accountType": "CHECKING",
1012 "bankName": "Chase",
1013 "createdAt": "2021-01-01T00:00:00Z",
1014 "frozen": false,
1015 "id": "pm_4794d597-70dc-4fec-b6ec-c5988e759769",
1016 "isDefaultDestination": true,
1017 "isDefaultSource": true,
1018 "metadata": {},
1019 "routingNumber": "12345678",
1020 "status": "VERIFIED",
1021 "supportedCurrencies": [
1022 "USD"
1023 ],
1024 "updatedAt": "2021-01-01T00:00:00Z",
1025 "confirmedByEntity": true
1026 },
1027 "paymentDestinationId": "pm_65523ab0-043d-4706-b2b2-0b73fed92269",
1028 "paymentSource": {
1029 "type": "bankAccount",
1030 "accountName": "My Checking Account",
1031 "accountNumber": "99988767623",
1032 "accountType": "CHECKING",
1033 "bankName": "Chase",
1034 "createdAt": "2021-01-01T00:00:00Z",
1035 "frozen": false,
1036 "id": "pm_4794d597-70dc-4fec-b6ec-c5988e759769",
1037 "isDefaultDestination": true,
1038 "isDefaultSource": true,
1039 "metadata": {},
1040 "routingNumber": "12345678",
1041 "status": "VERIFIED",
1042 "supportedCurrencies": [
1043 "USD"
1044 ],
1045 "updatedAt": "2021-01-01T00:00:00Z",
1046 "confirmedByEntity": true
1047 },
1048 "paymentSourceId": "pm_65523ab0-043d-4706-b2b2-0b73fed92269",
1049 "status": "COMPLETED",
1050 "updatedAt": "2024-01-01T00:00:00Z",
1051 "vendor": {
1052 "acceptedTos": false,
1053 "accountType": "business",
1054 "createdAt": "2024-01-01T00:00:00Z",
1055 "email": "vendor@bigboxstore.com",
1056 "id": "ent_21661ac1-a2a8-4465-a6c0-64474ba8181d",
1057 "isCustomer": false,
1058 "isNetworkPayee": false,
1059 "isNetworkPayor": false,
1060 "isPayee": true,
1061 "isPayor": false,
1062 "name": "Big Box Store",
1063 "profile": {
1064 "business": {
1065 "legalBusinessName": "Big Box Store",
1066 "taxIDProvided": false,
1067 "email": "vendor@bigboxstore.com",
1068 "businessType": "publicCorporation",
1069 "ownersProvided": false
1070 }
1071 },
1072 "status": "unverified",
1073 "updatedAt": "2024-01-02T00:00:00Z",
1074 "counterpartyType": [
1075 "ENTITY"
1076 ],
1077 "foreignId": "MY-DB-ID-90909",
1078 "paymentMethods": [
1079 {
1080 "type": "bankAccount",
1081 "accountName": "Vendor Checking Account",
1082 "accountNumber": "55934059697648",
1083 "accountType": "CHECKING",
1084 "bankName": "Chase",
1085 "createdAt": "2021-01-01T00:00:00Z",
1086 "frozen": false,
1087 "id": "pm_7610541f-4619-4033-8620-cfccfb811293",
1088 "isDefaultDestination": true,
1089 "isDefaultSource": true,
1090 "metadata": {},
1091 "routingNumber": "66554433",
1092 "status": "NEW",
1093 "supportedCurrencies": [
1094 "USD"
1095 ],
1096 "updatedAt": "2021-01-01T00:00:00Z",
1097 "confirmedByEntity": false
1098 }
1099 ]
1100 },
1101 "vendorId": "ent_bb08e72f-19f8-45f3-bcf9-46fdc46cb2f4"
1102 }
1103 ],
1104 "vendor": {
1105 "acceptedTos": false,
1106 "accountType": "business",
1107 "createdAt": "2024-01-01T00:00:00Z",
1108 "email": "vendor@bigboxstore.com",
1109 "id": "ent_21661ac1-a2a8-4465-a6c0-64474ba8181d",
1110 "isCustomer": false,
1111 "isNetworkPayee": false,
1112 "isNetworkPayor": false,
1113 "isPayee": true,
1114 "isPayor": false,
1115 "name": "Big Box Store",
1116 "profile": {
1117 "business": {
1118 "legalBusinessName": "Big Box Store",
1119 "taxIDProvided": false,
1120 "email": "vendor@bigboxstore.com",
1121 "businessType": "publicCorporation",
1122 "ownersProvided": false
1123 }
1124 },
1125 "status": "unverified",
1126 "updatedAt": "2024-01-02T00:00:00Z",
1127 "counterpartyType": [
1128 "ENTITY"
1129 ],
1130 "foreignId": "MY-DB-ID-90909",
1131 "paymentMethods": [
1132 {
1133 "type": "bankAccount",
1134 "accountName": "Vendor Checking Account",
1135 "accountNumber": "55934059697648",
1136 "accountType": "CHECKING",
1137 "bankName": "Chase",
1138 "createdAt": "2021-01-01T00:00:00Z",
1139 "frozen": false,
1140 "id": "pm_7610541f-4619-4033-8620-cfccfb811293",
1141 "isDefaultDestination": true,
1142 "isDefaultSource": true,
1143 "metadata": {},
1144 "routingNumber": "66554433",
1145 "status": "NEW",
1146 "supportedCurrencies": [
1147 "USD"
1148 ],
1149 "updatedAt": "2021-01-01T00:00:00Z",
1150 "confirmedByEntity": false
1151 }
1152 ]
1153 },
1154 "vendorId": "ent_21661ac1-a2a8-4465-a6c0-64474ba8181d"
1155 }
1156 ],
1157 "payer": {
1158 "acceptedTos": true,
1159 "accountType": "business",
1160 "createdAt": "2024-01-01T00:00:00Z",
1161 "email": "customer@acme.com",
1162 "id": "ent_8545a84e-a45f-41bf-bdf1-33b42a55812c",
1163 "isCustomer": true,
1164 "isNetworkPayee": false,
1165 "isNetworkPayor": false,
1166 "isPayee": false,
1167 "isPayor": true,
1168 "name": "Acme Inc.",
1169 "profile": {
1170 "business": {
1171 "legalBusinessName": "Acme Inc.",
1172 "taxIDProvided": true,
1173 "email": "customer@acme.com",
1174 "businessType": "llc",
1175 "phone": {
1176 "countryCode": "1",
1177 "number": "4155551234"
1178 },
1179 "address": {
1180 "addressLine1": "123 Main St",
1181 "city": "San Francisco",
1182 "stateOrProvince": "CA",
1183 "postalCode": "94105",
1184 "addressLine2": "Unit 1",
1185 "country": "US"
1186 },
1187 "ownersProvided": true,
1188 "taxId": {
1189 "ein": {
1190 "number": "12-3456789"
1191 }
1192 }
1193 }
1194 },
1195 "status": "verified",
1196 "updatedAt": "2024-01-02T00:00:00Z",
1197 "accounts": [
1198 {
1199 "accountId": "85866843",
1200 "postalCode": "94105",
1201 "nameOnAccount": "John Doe"
1202 }
1203 ],
1204 "counterpartyType": [
1205 "ENTITY"
1206 ],
1207 "foreignId": "MY-DB-ID-12345",
1208 "paymentMethods": [
1209 {
1210 "type": "bankAccount",
1211 "accountName": "My Checking Account",
1212 "accountNumber": "99988767623",
1213 "accountType": "CHECKING",
1214 "bankName": "Chase",
1215 "createdAt": "2021-01-01T00:00:00Z",
1216 "frozen": false,
1217 "id": "pm_4794d597-70dc-4fec-b6ec-c5988e759769",
1218 "isDefaultDestination": true,
1219 "isDefaultSource": true,
1220 "metadata": {},
1221 "routingNumber": "12345678",
1222 "status": "VERIFIED",
1223 "supportedCurrencies": [
1224 "USD"
1225 ],
1226 "updatedAt": "2021-01-01T00:00:00Z",
1227 "confirmedByEntity": true
1228 }
1229 ]
1230 },
1231 "payerId": "ent_bb08e72f-19f8-45f3-bcf9-46fdc46cb2f4",
1232 "paymentDestination": {
1233 "type": "check",
1234 "addressLine1": "123 Main St",
1235 "city": "New York",
1236 "country": "US",
1237 "createdAt": "2021-01-01T00:00:00Z",
1238 "frozen": false,
1239 "id": "pm_5fde2f4a-facc-48ef-8f0d-6b7d087c7b18",
1240 "isDefaultDestination": true,
1241 "isDefaultSource": false,
1242 "metadata": {},
1243 "payToTheOrderOf": "John Doe",
1244 "postalCode": "10001",
1245 "stateOrProvince": "NY",
1246 "supportedCurrencies": [
1247 "USD"
1248 ],
1249 "updatedAt": "2021-01-01T00:00:00Z",
1250 "addressLine2": "Apt 1",
1251 "confirmedByEntity": true
1252 },
1253 "paymentDestinationId": "pm_68ff13bf-390d-49d3-a29a-3fe239f12b92",
1254 "paymentSource": {
1255 "type": "bankAccount",
1256 "accountName": "My Checking Account",
1257 "accountNumber": "99988767623",
1258 "accountType": "CHECKING",
1259 "bankName": "Chase",
1260 "createdAt": "2021-01-01T00:00:00Z",
1261 "frozen": false,
1262 "id": "pm_4794d597-70dc-4fec-b6ec-c5988e759769",
1263 "isDefaultDestination": true,
1264 "isDefaultSource": true,
1265 "metadata": {},
1266 "routingNumber": "12345678",
1267 "status": "VERIFIED",
1268 "supportedCurrencies": [
1269 "USD"
1270 ],
1271 "updatedAt": "2021-01-01T00:00:00Z",
1272 "confirmedByEntity": true
1273 },
1274 "paymentSourceId": "pm_65523ab0-043d-4706-b2b2-0b73fed92269",
1275 "status": "COMPLETED",
1276 "updatedAt": "2024-01-01T00:00:00Z",
1277 "vendor": {
1278 "acceptedTos": false,
1279 "accountType": "business",
1280 "createdAt": "2024-01-01T00:00:00Z",
1281 "email": "vendor@bigboxstore.com",
1282 "id": "ent_21661ac1-a2a8-4465-a6c0-64474ba8181d",
1283 "isCustomer": false,
1284 "isNetworkPayee": false,
1285 "isNetworkPayor": false,
1286 "isPayee": true,
1287 "isPayor": false,
1288 "name": "Big Box Store",
1289 "profile": {
1290 "business": {
1291 "legalBusinessName": "Big Box Store",
1292 "taxIDProvided": false,
1293 "email": "vendor@bigboxstore.com",
1294 "businessType": "publicCorporation",
1295 "ownersProvided": false
1296 }
1297 },
1298 "status": "unverified",
1299 "updatedAt": "2024-01-02T00:00:00Z",
1300 "counterpartyType": [
1301 "ENTITY"
1302 ],
1303 "foreignId": "MY-DB-ID-90909",
1304 "paymentMethods": [
1305 {
1306 "type": "bankAccount",
1307 "accountName": "Vendor Checking Account",
1308 "accountNumber": "55934059697648",
1309 "accountType": "CHECKING",
1310 "bankName": "Chase",
1311 "createdAt": "2021-01-01T00:00:00Z",
1312 "frozen": false,
1313 "id": "pm_7610541f-4619-4033-8620-cfccfb811293",
1314 "isDefaultDestination": true,
1315 "isDefaultSource": true,
1316 "metadata": {},
1317 "routingNumber": "66554433",
1318 "status": "NEW",
1319 "supportedCurrencies": [
1320 "USD"
1321 ],
1322 "updatedAt": "2021-01-01T00:00:00Z",
1323 "confirmedByEntity": false
1324 }
1325 ]
1326 },
1327 "vendorId": "ent_bb08e72f-19f8-45f3-bcf9-46fdc46cb2f4",
1328 "mailedOnDate": "2024-01-01T00:00:00Z"
1329 },
1330 {
1331 "type": "bankAccountToBankAccount",
1332 "amount": 10000,
1333 "createdAt": "2024-01-01T00:00:00Z",
1334 "currency": "USD",
1335 "id": "trx_bb08e72f-19f8-45f3-bcf9-46fdc46cb2f4",
1336 "invoices": [
1337 {
1338 "approvalPolicy": [],
1339 "approvers": [],
1340 "createdAt": "2021-01-01T00:00:00Z",
1341 "hasDocuments": true,
1342 "hasSourceEmail": true,
1343 "id": "in_26e7b5d3-a739-4b23-9ad9-6aaa085f47a9",
1344 "metadata": {},
1345 "paymentDestinationConfirmed": true,
1346 "status": "FAILED",
1347 "updatedAt": "2021-01-01T00:00:00Z",
1348 "amount": 100,
1349 "currency": "USD",
1350 "deductionDate": "2021-01-29T00:00:00Z",
1351 "dueDate": "2021-01-31T00:00:00Z",
1352 "invoiceDate": "2021-01-01T00:00:00Z",
1353 "invoiceNumber": "INV-123",
1354 "payer": {
1355 "acceptedTos": true,
1356 "accountType": "business",
1357 "createdAt": "2024-01-01T00:00:00Z",
1358 "email": "customer@acme.com",
1359 "id": "ent_8545a84e-a45f-41bf-bdf1-33b42a55812c",
1360 "isCustomer": true,
1361 "isNetworkPayee": false,
1362 "isNetworkPayor": false,
1363 "isPayee": false,
1364 "isPayor": true,
1365 "name": "Acme Inc.",
1366 "profile": {
1367 "business": {
1368 "legalBusinessName": "Acme Inc.",
1369 "taxIDProvided": true,
1370 "email": "customer@acme.com",
1371 "businessType": "llc",
1372 "phone": {
1373 "countryCode": "1",
1374 "number": "4155551234"
1375 },
1376 "address": {
1377 "addressLine1": "123 Main St",
1378 "city": "San Francisco",
1379 "stateOrProvince": "CA",
1380 "postalCode": "94105",
1381 "addressLine2": "Unit 1",
1382 "country": "US"
1383 },
1384 "ownersProvided": true,
1385 "taxId": {
1386 "ein": {
1387 "number": "12-3456789"
1388 }
1389 }
1390 }
1391 },
1392 "status": "verified",
1393 "updatedAt": "2024-01-02T00:00:00Z",
1394 "accounts": [
1395 {
1396 "accountId": "85866843",
1397 "postalCode": "94105",
1398 "nameOnAccount": "John Doe"
1399 }
1400 ],
1401 "counterpartyType": [
1402 "ENTITY"
1403 ],
1404 "foreignId": "MY-DB-ID-12345",
1405 "paymentMethods": [
1406 {
1407 "type": "bankAccount",
1408 "accountName": "My Checking Account",
1409 "accountNumber": "99988767623",
1410 "accountType": "CHECKING",
1411 "bankName": "Chase",
1412 "createdAt": "2021-01-01T00:00:00Z",
1413 "frozen": false,
1414 "id": "pm_4794d597-70dc-4fec-b6ec-c5988e759769",
1415 "isDefaultDestination": true,
1416 "isDefaultSource": true,
1417 "metadata": {},
1418 "routingNumber": "12345678",
1419 "status": "VERIFIED",
1420 "supportedCurrencies": [
1421 "USD"
1422 ],
1423 "updatedAt": "2021-01-01T00:00:00Z",
1424 "confirmedByEntity": true
1425 }
1426 ]
1427 },
1428 "payerId": "ent_8545a84e-a45f-41bf-bdf1-33b42a55812c",
1429 "paymentDestination": {
1430 "type": "check",
1431 "addressLine1": "123 Main St",
1432 "city": "New York",
1433 "country": "US",
1434 "createdAt": "2021-01-01T00:00:00Z",
1435 "frozen": false,
1436 "id": "pm_5fde2f4a-facc-48ef-8f0d-6b7d087c7b18",
1437 "isDefaultDestination": true,
1438 "isDefaultSource": false,
1439 "metadata": {},
1440 "payToTheOrderOf": "John Doe",
1441 "postalCode": "10001",
1442 "stateOrProvince": "NY",
1443 "supportedCurrencies": [
1444 "USD"
1445 ],
1446 "updatedAt": "2021-01-01T00:00:00Z",
1447 "addressLine2": "Apt 1",
1448 "confirmedByEntity": true
1449 },
1450 "paymentDestinationId": "pm_5fde2f4a-facc-48ef-8f0d-6b7d087c7b18",
1451 "paymentSource": {
1452 "type": "bankAccount",
1453 "accountName": "My Checking Account",
1454 "accountNumber": "99988767623",
1455 "accountType": "CHECKING",
1456 "bankName": "Chase",
1457 "createdAt": "2021-01-01T00:00:00Z",
1458 "frozen": false,
1459 "id": "pm_4794d597-70dc-4fec-b6ec-c5988e759769",
1460 "isDefaultDestination": true,
1461 "isDefaultSource": true,
1462 "metadata": {},
1463 "routingNumber": "12345678",
1464 "status": "VERIFIED",
1465 "supportedCurrencies": [
1466 "USD"
1467 ],
1468 "updatedAt": "2021-01-01T00:00:00Z",
1469 "confirmedByEntity": true
1470 },
1471 "paymentSourceId": "pm_4794d597-70dc-4fec-b6ec-c5988e759769",
1472 "transactions": [
1473 {
1474 "type": "bankAccountToBankAccount",
1475 "amount": 10000,
1476 "createdAt": "2024-01-01T00:00:00Z",
1477 "currency": "USD",
1478 "id": "trx_bb08e72f-19f8-45f3-bcf9-46fdc46cb2f4",
1479 "payer": {
1480 "acceptedTos": true,
1481 "accountType": "business",
1482 "createdAt": "2024-01-01T00:00:00Z",
1483 "email": "customer@acme.com",
1484 "id": "ent_8545a84e-a45f-41bf-bdf1-33b42a55812c",
1485 "isCustomer": true,
1486 "isNetworkPayee": false,
1487 "isNetworkPayor": false,
1488 "isPayee": false,
1489 "isPayor": true,
1490 "name": "Acme Inc.",
1491 "profile": {
1492 "business": {
1493 "legalBusinessName": "Acme Inc.",
1494 "taxIDProvided": true,
1495 "email": "customer@acme.com",
1496 "businessType": "llc",
1497 "phone": {
1498 "countryCode": "1",
1499 "number": "4155551234"
1500 },
1501 "address": {
1502 "addressLine1": "123 Main St",
1503 "city": "San Francisco",
1504 "stateOrProvince": "CA",
1505 "postalCode": "94105",
1506 "addressLine2": "Unit 1",
1507 "country": "US"
1508 },
1509 "ownersProvided": true,
1510 "taxId": {
1511 "ein": {
1512 "number": "12-3456789"
1513 }
1514 }
1515 }
1516 },
1517 "status": "verified",
1518 "updatedAt": "2024-01-02T00:00:00Z",
1519 "accounts": [
1520 {
1521 "accountId": "85866843",
1522 "postalCode": "94105",
1523 "nameOnAccount": "John Doe"
1524 }
1525 ],
1526 "counterpartyType": [
1527 "ENTITY"
1528 ],
1529 "foreignId": "MY-DB-ID-12345",
1530 "paymentMethods": [
1531 {
1532 "type": "bankAccount",
1533 "accountName": "My Checking Account",
1534 "accountNumber": "99988767623",
1535 "accountType": "CHECKING",
1536 "bankName": "Chase",
1537 "createdAt": "2021-01-01T00:00:00Z",
1538 "frozen": false,
1539 "id": "pm_4794d597-70dc-4fec-b6ec-c5988e759769",
1540 "isDefaultDestination": true,
1541 "isDefaultSource": true,
1542 "metadata": {},
1543 "routingNumber": "12345678",
1544 "status": "VERIFIED",
1545 "supportedCurrencies": [
1546 "USD"
1547 ],
1548 "updatedAt": "2021-01-01T00:00:00Z",
1549 "confirmedByEntity": true
1550 }
1551 ]
1552 },
1553 "payerId": "ent_bb08e72f-19f8-45f3-bcf9-46fdc46cb2f4",
1554 "paymentDestination": {
1555 "type": "bankAccount",
1556 "accountName": "My Checking Account",
1557 "accountNumber": "99988767623",
1558 "accountType": "CHECKING",
1559 "bankName": "Chase",
1560 "createdAt": "2021-01-01T00:00:00Z",
1561 "frozen": false,
1562 "id": "pm_4794d597-70dc-4fec-b6ec-c5988e759769",
1563 "isDefaultDestination": true,
1564 "isDefaultSource": true,
1565 "metadata": {},
1566 "routingNumber": "12345678",
1567 "status": "VERIFIED",
1568 "supportedCurrencies": [
1569 "USD"
1570 ],
1571 "updatedAt": "2021-01-01T00:00:00Z",
1572 "confirmedByEntity": true
1573 },
1574 "paymentDestinationId": "pm_65523ab0-043d-4706-b2b2-0b73fed92269",
1575 "paymentSource": {
1576 "type": "bankAccount",
1577 "accountName": "My Checking Account",
1578 "accountNumber": "99988767623",
1579 "accountType": "CHECKING",
1580 "bankName": "Chase",
1581 "createdAt": "2021-01-01T00:00:00Z",
1582 "frozen": false,
1583 "id": "pm_4794d597-70dc-4fec-b6ec-c5988e759769",
1584 "isDefaultDestination": true,
1585 "isDefaultSource": true,
1586 "metadata": {},
1587 "routingNumber": "12345678",
1588 "status": "VERIFIED",
1589 "supportedCurrencies": [
1590 "USD"
1591 ],
1592 "updatedAt": "2021-01-01T00:00:00Z",
1593 "confirmedByEntity": true
1594 },
1595 "paymentSourceId": "pm_65523ab0-043d-4706-b2b2-0b73fed92269",
1596 "status": "FAILED",
1597 "updatedAt": "2024-01-01T00:00:00Z",
1598 "vendor": {
1599 "acceptedTos": false,
1600 "accountType": "business",
1601 "createdAt": "2024-01-01T00:00:00Z",
1602 "email": "vendor@bigboxstore.com",
1603 "id": "ent_21661ac1-a2a8-4465-a6c0-64474ba8181d",
1604 "isCustomer": false,
1605 "isNetworkPayee": false,
1606 "isNetworkPayor": false,
1607 "isPayee": true,
1608 "isPayor": false,
1609 "name": "Big Box Store",
1610 "profile": {
1611 "business": {
1612 "legalBusinessName": "Big Box Store",
1613 "taxIDProvided": false,
1614 "email": "vendor@bigboxstore.com",
1615 "businessType": "publicCorporation",
1616 "ownersProvided": false
1617 }
1618 },
1619 "status": "unverified",
1620 "updatedAt": "2024-01-02T00:00:00Z",
1621 "counterpartyType": [
1622 "ENTITY"
1623 ],
1624 "foreignId": "MY-DB-ID-90909",
1625 "paymentMethods": [
1626 {
1627 "type": "bankAccount",
1628 "accountName": "Vendor Checking Account",
1629 "accountNumber": "55934059697648",
1630 "accountType": "CHECKING",
1631 "bankName": "Chase",
1632 "createdAt": "2021-01-01T00:00:00Z",
1633 "frozen": false,
1634 "id": "pm_7610541f-4619-4033-8620-cfccfb811293",
1635 "isDefaultDestination": true,
1636 "isDefaultSource": true,
1637 "metadata": {},
1638 "routingNumber": "66554433",
1639 "status": "NEW",
1640 "supportedCurrencies": [
1641 "USD"
1642 ],
1643 "updatedAt": "2021-01-01T00:00:00Z",
1644 "confirmedByEntity": false
1645 }
1646 ]
1647 },
1648 "vendorId": "ent_bb08e72f-19f8-45f3-bcf9-46fdc46cb2f4"
1649 }
1650 ],
1651 "vendor": {
1652 "acceptedTos": false,
1653 "accountType": "business",
1654 "createdAt": "2024-01-01T00:00:00Z",
1655 "email": "vendor@bigboxstore.com",
1656 "id": "ent_21661ac1-a2a8-4465-a6c0-64474ba8181d",
1657 "isCustomer": false,
1658 "isNetworkPayee": false,
1659 "isNetworkPayor": false,
1660 "isPayee": true,
1661 "isPayor": false,
1662 "name": "Big Box Store",
1663 "profile": {
1664 "business": {
1665 "legalBusinessName": "Big Box Store",
1666 "taxIDProvided": false,
1667 "email": "vendor@bigboxstore.com",
1668 "businessType": "publicCorporation",
1669 "ownersProvided": false
1670 }
1671 },
1672 "status": "unverified",
1673 "updatedAt": "2024-01-02T00:00:00Z",
1674 "counterpartyType": [
1675 "ENTITY"
1676 ],
1677 "foreignId": "MY-DB-ID-90909",
1678 "paymentMethods": [
1679 {
1680 "type": "bankAccount",
1681 "accountName": "Vendor Checking Account",
1682 "accountNumber": "55934059697648",
1683 "accountType": "CHECKING",
1684 "bankName": "Chase",
1685 "createdAt": "2021-01-01T00:00:00Z",
1686 "frozen": false,
1687 "id": "pm_7610541f-4619-4033-8620-cfccfb811293",
1688 "isDefaultDestination": true,
1689 "isDefaultSource": true,
1690 "metadata": {},
1691 "routingNumber": "66554433",
1692 "status": "NEW",
1693 "supportedCurrencies": [
1694 "USD"
1695 ],
1696 "updatedAt": "2021-01-01T00:00:00Z",
1697 "confirmedByEntity": false
1698 }
1699 ]
1700 },
1701 "vendorId": "ent_21661ac1-a2a8-4465-a6c0-64474ba8181d"
1702 }
1703 ],
1704 "payer": {
1705 "acceptedTos": true,
1706 "accountType": "business",
1707 "createdAt": "2024-01-01T00:00:00Z",
1708 "email": "customer@acme.com",
1709 "id": "ent_8545a84e-a45f-41bf-bdf1-33b42a55812c",
1710 "isCustomer": true,
1711 "isNetworkPayee": false,
1712 "isNetworkPayor": false,
1713 "isPayee": false,
1714 "isPayor": true,
1715 "name": "Acme Inc.",
1716 "profile": {
1717 "business": {
1718 "legalBusinessName": "Acme Inc.",
1719 "taxIDProvided": true,
1720 "email": "customer@acme.com",
1721 "businessType": "llc",
1722 "phone": {
1723 "countryCode": "1",
1724 "number": "4155551234"
1725 },
1726 "address": {
1727 "addressLine1": "123 Main St",
1728 "city": "San Francisco",
1729 "stateOrProvince": "CA",
1730 "postalCode": "94105",
1731 "addressLine2": "Unit 1",
1732 "country": "US"
1733 },
1734 "ownersProvided": true,
1735 "taxId": {
1736 "ein": {
1737 "number": "12-3456789"
1738 }
1739 }
1740 }
1741 },
1742 "status": "verified",
1743 "updatedAt": "2024-01-02T00:00:00Z",
1744 "accounts": [
1745 {
1746 "accountId": "85866843",
1747 "postalCode": "94105",
1748 "nameOnAccount": "John Doe"
1749 }
1750 ],
1751 "counterpartyType": [
1752 "ENTITY"
1753 ],
1754 "foreignId": "MY-DB-ID-12345",
1755 "paymentMethods": [
1756 {
1757 "type": "bankAccount",
1758 "accountName": "My Checking Account",
1759 "accountNumber": "99988767623",
1760 "accountType": "CHECKING",
1761 "bankName": "Chase",
1762 "createdAt": "2021-01-01T00:00:00Z",
1763 "frozen": false,
1764 "id": "pm_4794d597-70dc-4fec-b6ec-c5988e759769",
1765 "isDefaultDestination": true,
1766 "isDefaultSource": true,
1767 "metadata": {},
1768 "routingNumber": "12345678",
1769 "status": "VERIFIED",
1770 "supportedCurrencies": [
1771 "USD"
1772 ],
1773 "updatedAt": "2021-01-01T00:00:00Z",
1774 "confirmedByEntity": true
1775 }
1776 ]
1777 },
1778 "payerId": "ent_bb08e72f-19f8-45f3-bcf9-46fdc46cb2f4",
1779 "paymentDestination": {
1780 "type": "bankAccount",
1781 "accountName": "My Checking Account",
1782 "accountNumber": "99988767623",
1783 "accountType": "CHECKING",
1784 "bankName": "Chase",
1785 "createdAt": "2021-01-01T00:00:00Z",
1786 "frozen": false,
1787 "id": "pm_4794d597-70dc-4fec-b6ec-c5988e759769",
1788 "isDefaultDestination": true,
1789 "isDefaultSource": true,
1790 "metadata": {},
1791 "routingNumber": "12345678",
1792 "status": "VERIFIED",
1793 "supportedCurrencies": [
1794 "USD"
1795 ],
1796 "updatedAt": "2021-01-01T00:00:00Z",
1797 "confirmedByEntity": true
1798 },
1799 "paymentDestinationId": "pm_65523ab0-043d-4706-b2b2-0b73fed92269",
1800 "paymentSource": {
1801 "type": "bankAccount",
1802 "accountName": "My Checking Account",
1803 "accountNumber": "99988767623",
1804 "accountType": "CHECKING",
1805 "bankName": "Chase",
1806 "createdAt": "2021-01-01T00:00:00Z",
1807 "frozen": false,
1808 "id": "pm_4794d597-70dc-4fec-b6ec-c5988e759769",
1809 "isDefaultDestination": true,
1810 "isDefaultSource": true,
1811 "metadata": {},
1812 "routingNumber": "12345678",
1813 "status": "VERIFIED",
1814 "supportedCurrencies": [
1815 "USD"
1816 ],
1817 "updatedAt": "2021-01-01T00:00:00Z",
1818 "confirmedByEntity": true
1819 },
1820 "paymentSourceId": "pm_65523ab0-043d-4706-b2b2-0b73fed92269",
1821 "status": "FAILED",
1822 "updatedAt": "2024-01-01T00:00:00Z",
1823 "vendor": {
1824 "acceptedTos": false,
1825 "accountType": "business",
1826 "createdAt": "2024-01-01T00:00:00Z",
1827 "email": "vendor@bigboxstore.com",
1828 "id": "ent_21661ac1-a2a8-4465-a6c0-64474ba8181d",
1829 "isCustomer": false,
1830 "isNetworkPayee": false,
1831 "isNetworkPayor": false,
1832 "isPayee": true,
1833 "isPayor": false,
1834 "name": "Big Box Store",
1835 "profile": {
1836 "business": {
1837 "legalBusinessName": "Big Box Store",
1838 "taxIDProvided": false,
1839 "email": "vendor@bigboxstore.com",
1840 "businessType": "publicCorporation",
1841 "ownersProvided": false
1842 }
1843 },
1844 "status": "unverified",
1845 "updatedAt": "2024-01-02T00:00:00Z",
1846 "counterpartyType": [
1847 "ENTITY"
1848 ],
1849 "foreignId": "MY-DB-ID-90909",
1850 "paymentMethods": [
1851 {
1852 "type": "bankAccount",
1853 "accountName": "Vendor Checking Account",
1854 "accountNumber": "55934059697648",
1855 "accountType": "CHECKING",
1856 "bankName": "Chase",
1857 "createdAt": "2021-01-01T00:00:00Z",
1858 "frozen": false,
1859 "id": "pm_7610541f-4619-4033-8620-cfccfb811293",
1860 "isDefaultDestination": true,
1861 "isDefaultSource": true,
1862 "metadata": {},
1863 "routingNumber": "66554433",
1864 "status": "NEW",
1865 "supportedCurrencies": [
1866 "USD"
1867 ],
1868 "updatedAt": "2021-01-01T00:00:00Z",
1869 "confirmedByEntity": false
1870 }
1871 ]
1872 },
1873 "vendorId": "ent_bb08e72f-19f8-45f3-bcf9-46fdc46cb2f4"
1874 }
1875 ]
1876}
Search transactions
Was this page helpful?
Previous

Get Transaction

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

entityIdstringOptional
Filter transactions by the ID or foreign ID of the entity that created the transaction.
entityGroupIdstringOptional
Filter transactions by the ID or foreign ID of the entity group that the entity belongs to.
startDatedatetimeOptional

CREATED_AT Start date filter.

endDatedatetimeOptional

CREATED_AT End date filter.

limitintegerOptional
Number of transactions to return. Limit can range between 1 and 100, and the default is 10.
startingAfterstringOptional
The ID of the transactions to start after. If not provided, the first page of transactions will be returned.
searchstringOptional
Find transactions by vendor name, invoice number, check number, or amount. Partial matches are supported.
metadataobjectOptional
Filter transactions by invoice metadata. Each filter will be applied as an AND condition. Duplicate keys will be ignored.
lineItemMetadataobjectOptional
Filter transactions by invoice line item metadata. Each filter will be applied as an AND condition. Duplicate keys will be ignored.
lineItemGlAccountIdstringOptional
Filter transactions by invoice line item GL account ID. Each filter will be applied as an OR condition. Duplicate keys will be ignored.
payerIdstringOptional
Filter transactions by payer ID or payer foreign ID.
vendorIdstringOptional
Filter transactions by vendor ID or vendor foreign ID.
invoiceIdstringOptional
Filter transactions by invoice ID or invoice foreign ID.
transactionIdstringOptional
Filter transactions by transaction ID.
statusenumOptional
Transaction status to filter on
transactionTypeenumOptional
Filter transactions by transaction type
creatorUserIdstringOptionalDeprecated
Filter transactions by creator user ID. Does not work, do not use.

Response

This endpoint returns an object.
countinteger
hasMoreboolean
datalist of objects

Errors

400
Bad Request
401
Unauthorized
403
Forbidden
404
Not Found
409
Conflict
500
Internal Server Error
501
Unimplemented